import { NormalizedCache } from './store';
import { SelectionSetWithRoot } from '../queries/store';
import { IdGetter } from './extensions';
import { SelectionSet, Document } from 'graphql';
export interface QueryDiffResult {
    result: any;
    missingSelectionSets: SelectionSetWithRoot[];
    mergeUp: boolean;
}
export declare function diffQueryAgainstStore({store, query, variables, dataIdFromObject}: {
    store: NormalizedCache;
    query: Document;
    variables?: Object;
    dataIdFromObject?: IdGetter;
}): QueryDiffResult;
export declare function diffFragmentAgainstStore({store, fragment, rootId, variables, dataIdFromObject}: {
    store: NormalizedCache;
    fragment: Document;
    rootId: string;
    variables?: Object;
    dataIdFromObject?: IdGetter;
}): QueryDiffResult;
export declare function diffSelectionSetAgainstStore({selectionSet, store, rootId, throwOnMissingField, variables, dataIdFromObject}: {
    selectionSet: SelectionSet;
    store: NormalizedCache;
    rootId: string;
    throwOnMissingField: Boolean;
    variables: Object;
    dataIdFromObject?: IdGetter;
}): QueryDiffResult;
